<?php
validateEmail('vincy@harmion.com');
// simplest custom email validation using email's domain validation
function validateEmail($email)
{
    $isEmailValid = FALSE;

    if (! empty($email)) {
        $domain = ltrim(stristr($email, '@'), '@');
        $user = stristr($email, '@', TRUE);
        // validate email's domain using DNS
        if (! empty($user) && ! empty($domain) && checkdnsrr($domain)) {
            $isEmailValid = TRUE;
        }
    }
    return $isEmailValid;
}
